Name: H5Tget_array_ndims
Signature:
  int `H5Tget_array_ndims`( hid_t `adtype_id` )
Purpose:
  Returns the rank of an array datatype.
Description:
  `H5Tget_array_ndims` returns the rank, the number of dimensions, of an array datatype object.
Parameters:

hid_t `adtype_id` | IN: Datatype identifier of array object.

Returns:
  Returns the rank of the array if successful; otherwise returns a negative value.
Fortran90 Interface: h5tget_array_ndims_f

      SUBROUTINE h5tget_array_ndims_f(type_id, ndims, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id  ! Identifier of the array datatype
        INTEGER, INTENT(OUT)       ::  ndims   ! Number of array dimensions
        INTEGER, INTENT(OUT)       :: hdferr   ! Error code
      END SUBROUTINE h5tget_array_ndims_f

History:

Release | C
1.4.0 | Function introduced in this release.